org.apache.fontbox.cff

## Class Type1CharStringParser

- java.lang.Object
- - org.apache.fontbox.cff.Type1CharStringParser

    public class Type1CharStringParser
    extends Object

This class represents a converter for a mapping into a Type 1 sequence.

Author:
  Villu Ruusmann, John Hewson
See Also:
  "Adobe Type 1 Font Format, Adobe Systems (1999)"

### Constructor Summary

Constructors
Constructor and Description
`Type1CharStringParser(String fontName)` Constructs a new Type1CharStringParser object.

### Method Summary

All Methods Instance Methods Concrete Methods
`List<Object>` `parse(byte[] bytes, List<byte[]> subrs, String glyphName)` The given byte array will be parsed and converted to a Type1 sequence.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Type1CharStringParser

    public Type1CharStringParser(String fontName)

Constructs a new Type1CharStringParser object.

Parameters:
  `fontName` - font name

### Method Detail

#### parse

    public List<Object> parse(byte[] bytes,
                              List<byte[]> subrs,
                              String glyphName)
                       throws IOException

The given byte array will be parsed and converted to a Type1 sequence.

Parameters:
  `bytes` - the given mapping as byte array
  `subrs` - list of local subroutines
  `glyphName` - name of the current glyph
Returns:
  the Type1 sequence
Throws:
  `IOException` - if an error occurs during reading